Package ghidra.app.util.demangler

# Class DemangledList

java.lang.Object
java.util.AbstractCollection<Demangled>
java.util.AbstractList<Demangled>
java.util.ArrayList<Demangled>
ghidra.app.util.demangler.DemangledList

All Implemented Interfaces:
  `Demangled`, `Serializable`, `Cloneable`, `Iterable<Demangled>`, `Collection<Demangled>`, `List<Demangled>`, `RandomAccess`, `SequencedCollection<Demangled>`

public class DemangledList extends ArrayList<Demangled> implements Demangled
An convenience `Demangled` object that holds a `List` of other `Demangled` objects

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DemangledList(List<Demangled> demangledList)`
  Creates a `DemangledList` and adds the given `List` to it

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `containsNull()`
  Returns true if this contains any `null` elements; otherwise, false.
  `String`
  `getDemangledName()`
  Returns the unmodified demangled name of this object.
  `String`
  `getMangledString()`
  Returns the original mangled string
  `String`
  `getName()`
  Returns the demangled name of this object.
  `Demangled`
  `getNamespace()`
  Returns the namespace containing this demangled object
  `String`
  `getNamespaceName()`
  Returns this object's namespace name without the fully-qualified parent path.
  `String`
  `getNamespaceString()`
  Returns a representation of this object as fully-qualified namespace.
  `String`
  `getOriginalDemangled()`
  Returns the original demangled string returned by the demangling service
  `String`
  `getSignature()`
  Generates a complete representation of this object to include all know attributes of this object
  `void`
  `setName(String name)`
  Sets the name for this object
  `void`
  `setNamespace(Demangled ns)`
  Sets the namespace of this demangled object

  ### Methods inherited from class java.util.ArrayList

  `add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, ensureCapacity, equals, forEach, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeIf, removeLast, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

  ### Methods inherited from interface ghidra.app.util.demangler.Demangled

  `getMangledContext, setMangledContext`

  ### Methods inherited from interface java.util.List

  `containsAll, reversed`

- ## Constructor Details

  - ### DemangledList

    public DemangledList(List<Demangled> demangledList)
    Creates a `DemangledList` and adds the given `List` to it
    Parameters:
      `demangledList` - The `List` of `Demangled` objects to add

- ## Method Details

  - ### containsNull

    public boolean containsNull()
    Returns true if this contains any `null` elements; otherwise, false.
    Returns:
      true if this contains any `null` elements; otherwise, false

  - ### getMangledString

    public String getMangledString()
    Description copied from interface: `Demangled`
    Returns the original mangled string
    Specified by:
      `getMangledString` in interface `Demangled`
    Returns:
      the string

  - ### getOriginalDemangled

    public String getOriginalDemangled()
    Description copied from interface: `Demangled`
    Returns the original demangled string returned by the demangling service
    Specified by:
      `getOriginalDemangled` in interface `Demangled`
    Returns:
      the original demangled string

  - ### getName

    public String getName()
    Description copied from interface: `Demangled`
    Returns the demangled name of this object. NOTE: unsupported symbol characters, like whitespace, will be converted to an underscore.
    Specified by:
      `getName` in interface `Demangled`
    Returns:
      name of this DemangledObject with unsupported characters converted to underscore
    See Also:
      - `Demangled.getDemangledName()`

  - ### setName

    public void setName(String name)
    Description copied from interface: `Demangled`
    Sets the name for this object
    Specified by:
      `setName` in interface `Demangled`
    Parameters:
      `name` - the name

  - ### getDemangledName

    public String getDemangledName()
    Description copied from interface: `Demangled`
    Returns the unmodified demangled name of this object. This name may contain whitespace and other characters not supported for symbol or data type creation. See `Demangled.getName()` for the same name modified for use within Ghidra.
    Specified by:
      `getDemangledName` in interface `Demangled`
    Returns:
      name of this DemangledObject

  - ### getNamespace

    public Demangled getNamespace()
    Description copied from interface: `Demangled`
    Returns the namespace containing this demangled object
    Specified by:
      `getNamespace` in interface `Demangled`
    Returns:
      the namespace containing this demangled object

  - ### setNamespace

    public void setNamespace(Demangled ns)
    Description copied from interface: `Demangled`
    Sets the namespace of this demangled object
    Specified by:
      `setNamespace` in interface `Demangled`
    Parameters:
      `ns` - the namespace

  - ### getNamespaceString

    public String getNamespaceString()
    Description copied from interface: `Demangled`
    Returns a representation of this object as fully-qualified namespace. The value returned here may have had some special characters replaced, such as ' ' replaced with '_' and '::' replaced with '--'.
    Specified by:
      `getNamespaceString` in interface `Demangled`
    Returns:
      the full namespace

  - ### getNamespaceName

    public String getNamespaceName()
    Description copied from interface: `Demangled`
    Returns this object's namespace name without the fully-qualified parent path. The value returned here may have had some special characters replaced, such as ' ' replaced with '_' and '::' replaced with '--'.
    Specified by:
      `getNamespaceName` in interface `Demangled`
    Returns:
      the name

  - ### getSignature

    public String getSignature()
    Description copied from interface: `Demangled`
    Generates a complete representation of this object to include all know attributes of this object
    Specified by:
      `getSignature` in interface `Demangled`
    Returns:
      the signature